CVE-2015-1851

NameCVE-2015-1851
DescriptionOpenStack Cinder before 2014.1.5 (icehouse), 2014.2.x before 2014.2.4 (juno), and 2015.1.x before 2015.1.1 (kilo) allows remote authenticated users to read arbitrary files via a crafted qcow2 signature in an image to the upload-to-image command.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-3292-1
NVD severitymedium
Debian Bugs788996

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
cinder (PTS)stretch2:9.0.0-4fixed
buster2:13.0.3-1fixed
bullseye, sid2:17.0.1-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
cindersourcejessie2014.1.3-11+deb8u1DSA-3292-1
cindersource(unstable)2015.1.0+2015.06.16.git26.9634b76ba5-1788996

Notes

https://www.openwall.com/lists/oss-security/2015/06/13/1
https://bugzilla.redhat.com/show_bug.cgi?id=1231817
https://bugs.launchpad.net/cinder/+bug/1415087

Search for package or bug name: Reporting problems